Open Infrastructure - Task #7162

Submit a patch for the alpine bird2 package to run as user bird
09/20/2019 10:10 AM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Timothée Floure % Done:
Category: Estimated time:

Target version:
PM Check date:

09/20/2019
09/24/2019
0%

0.00 hour

Description

¢ Currently bird runs as root unecessarily in alpine.
¢ Ensure a user bird (+group?) exists
¢ Ensure /etc/bird.conf is readable by the user bird

History

#1 - 12/09/2019 11:46 AM - Il nu

- Status changed from New to Seen

#2 - 02/25/2020 12:12 AM - Il nu

need to verify if its still not implemented

#3 - 06/11/2020 09:32 AM - Nico Schottelius

- Assignee changed from Il nu to Timothée Floure

#4 - 06/15/2020 10:25 AM - Timothée Floure

Il nu wrote:

need to verify if its still not implemented

It is not (https://qitlab.alpinelinux.org/alpine/aports/-/blob/master/testing/bird/bird.initd), but totally doable and already done by Fedora:

https://src.fedoraproject.org/rpms/bird/blob/master/f/bird.service

#5 - 06/15/2020 11:42 AM - Timothée Floure

- Status changed from Seen to In Progress

Patch sent to alpine: https:/gitlab.alpinelinux.org/alpine/aports/-/merge_requests/9267

#6 - 07/22/2020 03:24 PM - Timothée Floure

- Status changed from In Progress to Waiting

| just added a gentle reminder / bump on the merge request. Waiting on alpine right now.

#7 - 02/10/2021 08:50 AM - Timothée Floure
- Status changed from Waiting to Closed

Merged 6 months ago: https://gitlab.alpinelinux.org/alpine/aports/-/merge_requests/9267
